Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSGotoLabel

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSActionObject
              com.flagstone.transform.FSGotoLabel

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSGotoLabel

extends FSActionObject

The FSGotoLabel action instructs the player to move to the frame in the current movie with the specified label.

The label is assigned to the frame using the FSFrameLabel object.

Attributes
type | Identifies the action when it is encoded. Read-only.
label | The name that will be assigned to the current frame.

# Example

      FSMovie movie = new FSMovie();

      // Assign the name to the "current" frame

      movie.add(new FSFrameLabel("FirstFrame"));
      movie.add(new FSShowFrame());
      ...

      // Move the timeline back to the named frame when the actions
      // associated with this frame is executed.

      FSDoAction actions = new FSDoAction();

      actions.add(new FSGotoLabel("FirstFrame"));

      movie.add(actions);
      movie.add(new FSShowFrame());

The scope of a frame is delineated by successive FSShowFrame objects. To assign a label to a frame the FSFrameLabel object can be added at any point prior to the FSShowFrame object that marks the end of the frame.

# History

FSGotoLabel represents the ActionGotoLabel action of the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 3.

Field Summary

Fields inherited from class com.flagstone.transform.FSActionObject
`Call, ExceptionHandler, GetUrl, GetUrl2, GotoFrame, GotoFrame2, GotoLabel, If, Jump, length, NewFunction, NewFunction2, Push, RegisterCopy, SetTarget, Table, type, WaitForFrame, WaitForFrame2, With`

Constructor Summary
`FSGotoLabel(FSCoder coder)` Construct an FSGotoLabel object, initialising it with values decoded from an encoded object.
`FSGotoLabel(FSGotoLabel obj)` Constructs an FSGotoLabel object by copying values from an existing object.
`FSGotoLabel(java.lang.String aString)` Constructs an FSGotoLabel action with the specified frame label.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`java.lang.String` | `getLabel()` Gets the frame label.
`int` | `length(FSCoder coder)`
`void` | `setLabel(java.lang.String aString)` Sets the frame label.

Methods inherited from class com.flagstone.transform.FSActionObject
`getType, length`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSGotoLabel

    public FSGotoLabel(FSCoder coder)

  Construct an FSGotoLabel object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSGotoLabel

    public FSGotoLabel(java.lang.String aString)

  Constructs an FSGotoLabel action with the specified frame label.

  Parameters:
    `aString` - the label assigned a particular frame in the movie.

### FSGotoLabel

    public FSGotoLabel(FSGotoLabel obj)

  Constructs an FSGotoLabel object by copying values from an existing object.

  Parameters:
    `obj` - an FSGotoLabel object.

Method Detail

### getLabel

    public java.lang.String getLabel()

  Gets the frame label.

  Returns:
    the label assigned to the frame.

### setLabel

    public void setLabel(java.lang.String aString)

  Sets the frame label.

  Parameters:
    `aString` - the label assigned a particular frame in the movie.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSActionObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSActionObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSActionObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSActionObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSActionObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD